Skip to main content

Query Portfolio Info for Portfolio Manager

Query basic info for one or all portfolios managed by the IM.

HTTP Request

GET /sapi/v1/vip/fund-info/fund-info-basic-info

Weight(UID)

30000

Request Parameters

NameTypeMandatoryDescription
portfolioIdSTRINGNOCC portfolio ID. Omit to list all portfolios.
RecvWindowLONGNONo more than 60000
timestampLONGYES

Response

FieldTypeDescription
portfolioIdStringCC portfolio ID
fundidIntegerInternal fund ID
fundNameStringPortfolio name
fundCurrencyStringPortfolio currency
totalUnitsStringTotal outstanding units
estNavPerUnitStringEstimated NAV per unit
investorInfosListInvestor holdings list
investorInfos > investorAccountIdLongInvestor sub-account ID
investorInfos > investorUnitStringInvestor's units
subAccInfoListSub-account balances
subAccInfo > accountIdLongSub-account ID
subAccInfo > accountBalanceStringSub-account balance

Example Response

[
{
"fundid": 38,
"portfolioId": "CC00876646",
"fundName": "Apolloplan Alpha Investment Fund",
"fundCurrency": "USDT",
"totalUnits": "836557.27100000",
"estNavPerUnit": "1.05230000",
"investorInfos": [
{ "investorAccountId": 1140211237, "investorUnit": "100000.00000000" }
],
"subAccInfo": [
{ "accountId": 1140211237, "accountBalance": "880123.45000000" }
]
}
]